Get KYC Document Upload URL
Get a presigned URL for uploading KYC documents
GETtexttext
/api/v2/kyc/document-upload-urlGenerates a time-limited presigned URL for securely uploading KYC documents to OZZOBiT's storage.
Query Parameters
userIdstringrequired
OZZOBiT user ID
documentTypestringrequired
Document type
fileNamestringrequired
Original filename with extension
contentTypestring
MIME type of the file
Response Schema
uploadUrlstring
Presigned URL to PUT the file to
fileIdstring
File reference ID to use in submit-kyc
expiresInnumber
Seconds until URL expires
maxFileSizeBytesnumber
Maximum allowed file size
Example
jsonjson
GET /api/v2/kyc/document-upload-url?userId=OZZOBiT_abc&documentType=PASSPORT&fileName=passport.jpg&contentType=image/jpeg
// Response:
{
"uploadUrl": "https://OZZOBiT.com/storage/uploads/xyz?signature=...",
"fileId": "file_12345",
"expiresIn": 3600,
"maxFileSizeBytes": 5242880
}
// Then upload:
curl -X PUT -H "Content-Type: image/jpeg" --data-binary @passport.jpg "{uploadUrl}"